com.amazonaws.services.cloudfront.model

## Class LoggingConfig

- java.lang.Object
- - com.amazonaws.services.cloudfront.model.LoggingConfig

All Implemented Interfaces:
  Serializable, Cloneable

    public class LoggingConfig
    extends Object
    implements Serializable, Cloneable

A complex type that controls whether access logs are written for the distribution.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LoggingConfig()` Default constructor for LoggingConfig object.
`LoggingConfig(String bucket, String prefix)` Constructs a new LoggingConfig object.

### Method Summary

All Methods Instance Methods Concrete Methods
`LoggingConfig` `clone()`
`boolean` `equals(Object obj)`
`String` `getBucket()` The Amazon S3 bucket to store the access logs in, for example, `myawslogbucket.s3.amazonaws.com`.
`Boolean` `getEnabled()` Specifies whether you want CloudFront to save access logs to an Amazon S3 bucket.
`Boolean` `getIncludeCookies()` Specifies whether you want CloudFront to include cookies in access logs, specify `true` for `IncludeCookies`.
`String` `getPrefix()` An optional string that you want CloudFront to prefix to the access log `filenames` for this distribution, for example, `myprefix/`.
`int` `hashCode()`
`Boolean` `isEnabled()` Specifies whether you want CloudFront to save access logs to an Amazon S3 bucket.
`Boolean` `isIncludeCookies()` Specifies whether you want CloudFront to include cookies in access logs, specify `true` for `IncludeCookies`.
`void` `setBucket(String bucket)` The Amazon S3 bucket to store the access logs in, for example, `myawslogbucket.s3.amazonaws.com`.
`void` `setEnabled(Boolean enabled)` Specifies whether you want CloudFront to save access logs to an Amazon S3 bucket.
`void` `setIncludeCookies(Boolean includeCookies)` Specifies whether you want CloudFront to include cookies in access logs, specify `true` for `IncludeCookies`.
`void` `setPrefix(String prefix)` An optional string that you want CloudFront to prefix to the access log `filenames` for this distribution, for example, `myprefix/`.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`LoggingConfig` `withBucket(String bucket)` The Amazon S3 bucket to store the access logs in, for example, `myawslogbucket.s3.amazonaws.com`.
`LoggingConfig` `withEnabled(Boolean enabled)` Specifies whether you want CloudFront to save access logs to an Amazon S3 bucket.
`LoggingConfig` `withIncludeCookies(Boolean includeCookies)` Specifies whether you want CloudFront to include cookies in access logs, specify `true` for `IncludeCookies`.
`LoggingConfig` `withPrefix(String prefix)` An optional string that you want CloudFront to prefix to the access log `filenames` for this distribution, for example, `myprefix/`.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LoggingConfig

    public LoggingConfig()

Default constructor for LoggingConfig object. Callers should use the setter or fluent setter (with...) methods to initialize the object after creating it.

#### LoggingConfig

    public LoggingConfig(String bucket,
                         String prefix)

Constructs a new LoggingConfig object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Parameters:
  `bucket` - The Amazon S3 bucket to store the access logs in, for example, `myawslogbucket.s3.amazonaws.com`.
  `prefix` - An optional string that you want CloudFront to prefix to the access log `filenames` for this distribution, for example, `myprefix/`. If you want to enable logging, but you do not want to specify a prefix, you still must include an empty `Prefix` element in the `Logging` element.

### Method Detail

#### setEnabled

    public void setEnabled(Boolean enabled)

Specifies whether you want CloudFront to save access logs to an Amazon S3 bucket. If you do not want to enable logging when you create a distribution or if you want to disable logging for an existing distribution, specify `false` for `Enabled`, and specify empty `Bucket` and `Prefix` elements. If you specify `false` for `Enabled` but you specify values for `Bucket`, `prefix`, and `IncludeCookies`, the values are automatically deleted.

Parameters:
  `enabled` - Specifies whether you want CloudFront to save access logs to an Amazon S3 bucket. If you do not want to enable logging when you create a distribution or if you want to disable logging for an existing distribution, specify `false` for `Enabled`, and specify empty `Bucket` and `Prefix` elements. If you specify `false` for `Enabled` but you specify values for `Bucket`, `prefix`, and `IncludeCookies`, the values are automatically deleted.

#### getEnabled

    public Boolean getEnabled()

Specifies whether you want CloudFront to save access logs to an Amazon S3 bucket. If you do not want to enable logging when you create a distribution or if you want to disable logging for an existing distribution, specify `false` for `Enabled`, and specify empty `Bucket` and `Prefix` elements. If you specify `false` for `Enabled` but you specify values for `Bucket`, `prefix`, and `IncludeCookies`, the values are automatically deleted.

Returns:
  Specifies whether you want CloudFront to save access logs to an Amazon S3 bucket. If you do not want to enable logging when you create a distribution or if you want to disable logging for an existing distribution, specify `false` for `Enabled`, and specify empty `Bucket` and `Prefix` elements. If you specify `false` for `Enabled` but you specify values for `Bucket`, `prefix`, and `IncludeCookies`, the values are automatically deleted.

#### withEnabled

    public LoggingConfig withEnabled(Boolean enabled)

Specifies whether you want CloudFront to save access logs to an Amazon S3 bucket. If you do not want to enable logging when you create a distribution or if you want to disable logging for an existing distribution, specify `false` for `Enabled`, and specify empty `Bucket` and `Prefix` elements. If you specify `false` for `Enabled` but you specify values for `Bucket`, `prefix`, and `IncludeCookies`, the values are automatically deleted.

Parameters:
  `enabled` - Specifies whether you want CloudFront to save access logs to an Amazon S3 bucket. If you do not want to enable logging when you create a distribution or if you want to disable logging for an existing distribution, specify `false` for `Enabled`, and specify empty `Bucket` and `Prefix` elements. If you specify `false` for `Enabled` but you specify values for `Bucket`, `prefix`, and `IncludeCookies`, the values are automatically deleted.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isEnabled

    public Boolean isEnabled()

Specifies whether you want CloudFront to save access logs to an Amazon S3 bucket. If you do not want to enable logging when you create a distribution or if you want to disable logging for an existing distribution, specify `false` for `Enabled`, and specify empty `Bucket` and `Prefix` elements. If you specify `false` for `Enabled` but you specify values for `Bucket`, `prefix`, and `IncludeCookies`, the values are automatically deleted.

Returns:
  Specifies whether you want CloudFront to save access logs to an Amazon S3 bucket. If you do not want to enable logging when you create a distribution or if you want to disable logging for an existing distribution, specify `false` for `Enabled`, and specify empty `Bucket` and `Prefix` elements. If you specify `false` for `Enabled` but you specify values for `Bucket`, `prefix`, and `IncludeCookies`, the values are automatically deleted.

#### setIncludeCookies

    public void setIncludeCookies(Boolean includeCookies)

Specifies whether you want CloudFront to include cookies in access logs, specify `true` for `IncludeCookies`. If you choose to include cookies in logs, CloudFront logs all cookies regardless of how you configure the cache behaviors for this distribution. If you do not want to include cookies when you create a distribution or if you want to disable include cookies for an existing distribution, specify `false` for `IncludeCookies`.

Parameters:
  `includeCookies` - Specifies whether you want CloudFront to include cookies in access logs, specify `true` for `IncludeCookies`. If you choose to include cookies in logs, CloudFront logs all cookies regardless of how you configure the cache behaviors for this distribution. If you do not want to include cookies when you create a distribution or if you want to disable include cookies for an existing distribution, specify `false` for `IncludeCookies`.

#### getIncludeCookies

    public Boolean getIncludeCookies()

Specifies whether you want CloudFront to include cookies in access logs, specify `true` for `IncludeCookies`. If you choose to include cookies in logs, CloudFront logs all cookies regardless of how you configure the cache behaviors for this distribution. If you do not want to include cookies when you create a distribution or if you want to disable include cookies for an existing distribution, specify `false` for `IncludeCookies`.

Returns:
  Specifies whether you want CloudFront to include cookies in access logs, specify `true` for `IncludeCookies`. If you choose to include cookies in logs, CloudFront logs all cookies regardless of how you configure the cache behaviors for this distribution. If you do not want to include cookies when you create a distribution or if you want to disable include cookies for an existing distribution, specify `false` for `IncludeCookies`.

#### withIncludeCookies

    public LoggingConfig withIncludeCookies(Boolean includeCookies)

Specifies whether you want CloudFront to include cookies in access logs, specify `true` for `IncludeCookies`. If you choose to include cookies in logs, CloudFront logs all cookies regardless of how you configure the cache behaviors for this distribution. If you do not want to include cookies when you create a distribution or if you want to disable include cookies for an existing distribution, specify `false` for `IncludeCookies`.

Parameters:
  `includeCookies` - Specifies whether you want CloudFront to include cookies in access logs, specify `true` for `IncludeCookies`. If you choose to include cookies in logs, CloudFront logs all cookies regardless of how you configure the cache behaviors for this distribution. If you do not want to include cookies when you create a distribution or if you want to disable include cookies for an existing distribution, specify `false` for `IncludeCookies`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isIncludeCookies

    public Boolean isIncludeCookies()

Specifies whether you want CloudFront to include cookies in access logs, specify `true` for `IncludeCookies`. If you choose to include cookies in logs, CloudFront logs all cookies regardless of how you configure the cache behaviors for this distribution. If you do not want to include cookies when you create a distribution or if you want to disable include cookies for an existing distribution, specify `false` for `IncludeCookies`.

Returns:
  Specifies whether you want CloudFront to include cookies in access logs, specify `true` for `IncludeCookies`. If you choose to include cookies in logs, CloudFront logs all cookies regardless of how you configure the cache behaviors for this distribution. If you do not want to include cookies when you create a distribution or if you want to disable include cookies for an existing distribution, specify `false` for `IncludeCookies`.

#### setBucket

    public void setBucket(String bucket)

The Amazon S3 bucket to store the access logs in, for example, `myawslogbucket.s3.amazonaws.com`.

Parameters:
  `bucket` - The Amazon S3 bucket to store the access logs in, for example, `myawslogbucket.s3.amazonaws.com`.

#### getBucket

    public String getBucket()

The Amazon S3 bucket to store the access logs in, for example, `myawslogbucket.s3.amazonaws.com`.

Returns:
  The Amazon S3 bucket to store the access logs in, for example, `myawslogbucket.s3.amazonaws.com`.

#### withBucket

    public LoggingConfig withBucket(String bucket)

The Amazon S3 bucket to store the access logs in, for example, `myawslogbucket.s3.amazonaws.com`.

Parameters:
  `bucket` - The Amazon S3 bucket to store the access logs in, for example, `myawslogbucket.s3.amazonaws.com`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setPrefix

    public void setPrefix(String prefix)

An optional string that you want CloudFront to prefix to the access log `filenames` for this distribution, for example, `myprefix/`. If you want to enable logging, but you do not want to specify a prefix, you still must include an empty `Prefix` element in the `Logging` element.

Parameters:
  `prefix` - An optional string that you want CloudFront to prefix to the access log `filenames` for this distribution, for example, `myprefix/`. If you want to enable logging, but you do not want to specify a prefix, you still must include an empty `Prefix` element in the `Logging` element.

#### getPrefix

    public String getPrefix()

An optional string that you want CloudFront to prefix to the access log `filenames` for this distribution, for example, `myprefix/`. If you want to enable logging, but you do not want to specify a prefix, you still must include an empty `Prefix` element in the `Logging` element.

Returns:
  An optional string that you want CloudFront to prefix to the access log `filenames` for this distribution, for example, `myprefix/`. If you want to enable logging, but you do not want to specify a prefix, you still must include an empty `Prefix` element in the `Logging` element.

#### withPrefix

    public LoggingConfig withPrefix(String prefix)

An optional string that you want CloudFront to prefix to the access log `filenames` for this distribution, for example, `myprefix/`. If you want to enable logging, but you do not want to specify a prefix, you still must include an empty `Prefix` element in the `Logging` element.

Parameters:
  `prefix` - An optional string that you want CloudFront to prefix to the access log `filenames` for this distribution, for example, `myprefix/`. If you want to enable logging, but you do not want to specify a prefix, you still must include an empty `Prefix` element in the `Logging` element.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public LoggingConfig clone()

Overrides:
  `clone` in class `Object`